diff --git a/fc-solve/source/lock.h b/fc-solve/source/lock.h
index 1b39724a6..c56167aca 100644
--- a/fc-solve/source/lock.h
+++ b/fc-solve/source/lock.h
@@ -13,16 +13,17 @@
 #pragma once
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
 #include <pthread.h>
 
-/*
- * Define FCS_DBM_USE_RWLOCK to use the pthread FCFS RWLock which appears
- * to improve CPU utilisations of the various worker threads and possibly
- * overall performance.
- * #define FCS_DBM_USE_RWLOCK 1 */
+    /*
+     * Define FCS_DBM_USE_RWLOCK to use the pthread FCFS RWLock which appears
+     * to improve CPU utilisations of the various worker threads and possibly
+     * overall performance.
+     * #define FCS_DBM_USE_RWLOCK 1 */
 
 #ifdef FCS_DBM_USE_RWLOCK
 #include <pthread/rwlock_fcfs.h>
@@ -32,11 +33,11 @@ extern "C" {
 
 #ifdef FCS_DBM_SINGLE_THREAD
 
-typedef fcs_bool_t fcs_lock_t;
-static inline void fcs_lock_lock(fcs_lock_t *const lock) {}
-static inline void fcs_lock_unlock(fcs_lock_t *const lock) {}
-static inline void fcs_lock_init(fcs_lock_t *const lock) {}
-static inline void fcs_lock_destroy(fcs_lock_t *const lock) {}
+    typedef fcs_bool_t fcs_lock_t;
+    static inline void fcs_lock_lock(fcs_lock_t *const lock) {}
+    static inline void fcs_lock_unlock(fcs_lock_t *const lock) {}
+    static inline void fcs_lock_init(fcs_lock_t *const lock) {}
+    static inline void fcs_lock_destroy(fcs_lock_t *const lock) {}
 #elif defined(FCS_DBM_USE_RWLOCK)
 
 typedef pthread_rwlock_fcfs_t *fcs_lock_t;
diff --git a/fc-solve/source/meta_alloc.h b/fc-solve/source/meta_alloc.h
index f8b6323b6..6faebb5ef 100644
--- a/fc-solve/source/meta_alloc.h
+++ b/fc-solve/source/meta_alloc.h
@@ -17,90 +17,91 @@
 #pragma once
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
 #include "state.h"
 
-typedef struct
-{
-    char *recycle_bin;
-} fcs_meta_compact_allocator_t;
+    typedef struct
+    {
+        char *recycle_bin;
+    } fcs_meta_compact_allocator_t;
 
-typedef struct
-{
-    char *old_list;
-    char *max_ptr;
-    char *ptr;
-    char *rollback_ptr;
-    fcs_meta_compact_allocator_t *meta;
-} fcs_compact_allocator_t;
-
-extern void fc_solve_compact_allocator_extend(fcs_compact_allocator_t *);
-
-/* To be called after the meta_alloc was set. */
-static inline void fc_solve_compact_allocator_init_helper(
-    fcs_compact_allocator_t *const allocator)
-{
-    allocator->old_list = NULL;
-    fc_solve_compact_allocator_extend(allocator);
-}
+    typedef struct
+    {
+        char *old_list;
+        char *max_ptr;
+        char *ptr;
+        char *rollback_ptr;
+        fcs_meta_compact_allocator_t *meta;
+    } fcs_compact_allocator_t;
+
+    extern void fc_solve_compact_allocator_extend(fcs_compact_allocator_t *);
+
+    /* To be called after the meta_alloc was set. */
+    static inline void fc_solve_compact_allocator_init_helper(
+        fcs_compact_allocator_t *const allocator)
+    {
+        allocator->old_list = NULL;
+        fc_solve_compact_allocator_extend(allocator);
+    }
 
-static inline void fc_solve_meta_compact_allocator_init(
-    fcs_meta_compact_allocator_t *const meta)
-{
-    meta->recycle_bin = NULL;
-}
+    static inline void fc_solve_meta_compact_allocator_init(
+        fcs_meta_compact_allocator_t *const meta)
+    {
+        meta->recycle_bin = NULL;
+    }
 
-extern void fc_solve_meta_compact_allocator_finish(
-    fcs_meta_compact_allocator_t *);
+    extern void fc_solve_meta_compact_allocator_finish(
+        fcs_meta_compact_allocator_t *);
 
-extern void fc_solve_compact_allocator_init(
-    fcs_compact_allocator_t *, fcs_meta_compact_allocator_t *);
+    extern void fc_solve_compact_allocator_init(
+        fcs_compact_allocator_t *, fcs_meta_compact_allocator_t *);
 
-static inline void *fcs_compact_alloc_ptr(
-    fcs_compact_allocator_t *const allocator, const size_t how_much_proto)
-{
-    /* Round ptr to the next pointer boundary */
-    const size_t how_much =
-        how_much_proto +
-        ((sizeof(char *) - ((how_much_proto) & (sizeof(char *) - 1))) &
-            (sizeof(char *) - 1));
-
-    if ((size_t)(allocator->max_ptr - allocator->ptr) < how_much)
+    static inline void *fcs_compact_alloc_ptr(
+        fcs_compact_allocator_t *const allocator, const size_t how_much_proto)
     {
-        fc_solve_compact_allocator_extend(allocator);
+        /* Round ptr to the next pointer boundary */
+        const size_t how_much =
+            how_much_proto +
+            ((sizeof(char *) - ((how_much_proto) & (sizeof(char *) - 1))) &
+                (sizeof(char *) - 1));
+
+        if ((size_t)(allocator->max_ptr - allocator->ptr) < how_much)
+        {
+            fc_solve_compact_allocator_extend(allocator);
+        }
+        else
+        {
+            allocator->rollback_ptr = allocator->ptr;
+        }
+        allocator->ptr += how_much;
+
+        return allocator->rollback_ptr;
     }
-    else
+
+    static inline void fcs_compact_alloc_release(
+        fcs_compact_allocator_t *const allocator)
     {
-        allocator->rollback_ptr = allocator->ptr;
+        allocator->ptr = allocator->rollback_ptr;
     }
-    allocator->ptr += how_much;
-
-    return allocator->rollback_ptr;
-}
-
-static inline void fcs_compact_alloc_release(
-    fcs_compact_allocator_t *const allocator)
-{
-    allocator->ptr = allocator->rollback_ptr;
-}
 
-extern void fc_solve_compact_allocator_finish(fcs_compact_allocator_t *);
+    extern void fc_solve_compact_allocator_finish(fcs_compact_allocator_t *);
 
-static inline fcs_collectible_state_t *fcs_state_ia_alloc_into_var(
-    fcs_compact_allocator_t *const allocator)
-{
-    return (fcs_collectible_state_t *)fcs_compact_alloc_ptr(
-        allocator, sizeof(fcs_collectible_state_t));
-}
+    static inline fcs_collectible_state_t *fcs_state_ia_alloc_into_var(
+        fcs_compact_allocator_t *const allocator)
+    {
+        return (fcs_collectible_state_t *)fcs_compact_alloc_ptr(
+            allocator, sizeof(fcs_collectible_state_t));
+    }
 
-static inline void fc_solve_compact_allocator_recycle(
-    fcs_compact_allocator_t *const allocator)
-{
-    fc_solve_compact_allocator_finish(allocator);
-    fc_solve_compact_allocator_init_helper(allocator);
-}
+    static inline void fc_solve_compact_allocator_recycle(
+        fcs_compact_allocator_t *const allocator)
+    {
+        fc_solve_compact_allocator_finish(allocator);
+        fc_solve_compact_allocator_init_helper(allocator);
+    }
 
 #ifdef __cplusplus
 };
diff --git a/fc-solve/source/meta_move_funcs_helpers.h b/fc-solve/source/meta_move_funcs_helpers.h
index 429b349e4..51f50e6fb 100644
--- a/fc-solve/source/meta_move_funcs_helpers.h
+++ b/fc-solve/source/meta_move_funcs_helpers.h
@@ -16,10 +16,11 @@
 #pragma once
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
-static inline int max0(const int e) { return max(e, 0); }
+    static inline int max0(const int e) { return max(e, 0); }
 #ifdef FCS_FREECELL_ONLY
 #define calc_max_sequence_move(num_freecells, num_empty_cols)                  \
     (((num_freecells) + 1) << (num_empty_cols))
@@ -62,15 +63,15 @@ static inline size_t calc_max_simple_simon_seq_move(const int num_empty_cols)
             &pass_new_state FCS__pass_moves(moves)),                           \
         state_context_value)
 
-static inline void fc_solve_move_sequence_function(
-    fcs_state_t *const s FCS__pass_moves(fcs_move_stack_t *const moves),
-    const size_t dest_col_i, const size_t src_col_i, const size_t cards_num)
-{
-    fcs_col_transfer_cards(fcs_state_get_col(*s, dest_col_i),
-        fcs_state_get_col(*s, src_col_i), cards_num);
-    fcs_move_stack_params_push(
-        moves, FCS_MOVE_TYPE_STACK_TO_STACK, src_col_i, dest_col_i, cards_num);
-}
+    static inline void fc_solve_move_sequence_function(
+        fcs_state_t *const s FCS__pass_moves(fcs_move_stack_t *const moves),
+        const size_t dest_col_i, const size_t src_col_i, const size_t cards_num)
+    {
+        fcs_col_transfer_cards(fcs_state_get_col(*s, dest_col_i),
+            fcs_state_get_col(*s, src_col_i), cards_num);
+        fcs_move_stack_params_push(moves, FCS_MOVE_TYPE_STACK_TO_STACK,
+            src_col_i, dest_col_i, cards_num);
+    }
 
 #define fcs_move_sequence(to, from, cards_num)                                 \
     fc_solve_move_sequence_function(                                           \
diff --git a/fc-solve/source/move.h b/fc-solve/source/move.h
index 948ec1532..901eea449 100644
--- a/fc-solve/source/move.h
+++ b/fc-solve/source/move.h
@@ -14,7 +14,8 @@
 #pragma once
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
 #include "state.h"
@@ -22,323 +23,333 @@ extern "C" {
 #include "indirect_buffer.h"
 
 #ifdef FCS_WITH_MOVES
-extern const fcs_internal_move_t fc_solve_empty_move;
+    extern const fcs_internal_move_t fc_solve_empty_move;
 #endif
 
 #define FCS_MOVE_STACK_GROW_BY 16
 
 #ifdef FCS_WITH_MOVES
-static inline void fcs_move_stack_push(
-    fcs_move_stack_t *const stack, const fcs_internal_move_t move)
-{
-    /* If all the moves inside the stack are taken then
-       resize the move vector */
-    const size_t pos = ++stack->num_moves;
-
-    if (!(pos & (FCS_MOVE_STACK_GROW_BY - 1)))
+    static inline void fcs_move_stack_push(
+        fcs_move_stack_t *const stack, const fcs_internal_move_t move)
     {
-        stack->moves = SREALLOC(stack->moves, pos + FCS_MOVE_STACK_GROW_BY);
-    }
+        /* If all the moves inside the stack are taken then
+           resize the move vector */
+        const size_t pos = ++stack->num_moves;
 
-    stack->moves[pos - 1] = move;
-}
+        if (!(pos & (FCS_MOVE_STACK_GROW_BY - 1)))
+        {
+            stack->moves = SREALLOC(stack->moves, pos + FCS_MOVE_STACK_GROW_BY);
+        }
 
-static inline void fcs_move_stack_params_push(fcs_move_stack_t *const stack,
-    const int type, const int src, const int dest, const int num_cards_in_seq)
-{
-    fcs_internal_move_t temp_move;
+        stack->moves[pos - 1] = move;
+    }
 
-    fcs_int_move_set_type(temp_move, type);
-    fcs_int_move_set_src(temp_move, src);
-    fcs_int_move_set_dest(temp_move, dest);
-    fcs_int_move_set_num_cards_in_seq(temp_move, num_cards_in_seq);
+    static inline void fcs_move_stack_params_push(fcs_move_stack_t *const stack,
+        const int type, const int src, const int dest,
+        const int num_cards_in_seq)
+    {
+        fcs_internal_move_t temp_move;
 
-    fcs_move_stack_push(stack, temp_move);
-}
+        fcs_int_move_set_type(temp_move, type);
+        fcs_int_move_set_src(temp_move, src);
+        fcs_int_move_set_dest(temp_move, dest);
+        fcs_int_move_set_num_cards_in_seq(temp_move, num_cards_in_seq);
 
-static inline void fcs_move_stack_non_seq_push(fcs_move_stack_t *const stack,
-    const int type, const int src, const int dest)
-{
-    fcs_move_stack_params_push(stack, type, src, dest, 1);
-}
+        fcs_move_stack_push(stack, temp_move);
+    }
 
-static inline void fcs_push_1card_seq(
-    fcs_move_stack_t *const stack, const int src, const int dest)
-{
-    fcs_move_stack_params_push(
-        stack, FCS_MOVE_TYPE_STACK_TO_STACK, src, dest, 1);
-}
+    static inline void fcs_move_stack_non_seq_push(
+        fcs_move_stack_t *const stack, const int type, const int src,
+        const int dest)
+    {
+        fcs_move_stack_params_push(stack, type, src, dest, 1);
+    }
 
-static inline fcs_bool_t fc_solve_move_stack_pop(
-    fcs_move_stack_t *const stack, fcs_internal_move_t *const move)
-{
-    if (stack->num_moves > 0)
+    static inline void fcs_push_1card_seq(
+        fcs_move_stack_t *const stack, const int src, const int dest)
     {
-        *move = stack->moves[--stack->num_moves];
-        return FALSE;
+        fcs_move_stack_params_push(
+            stack, FCS_MOVE_TYPE_STACK_TO_STACK, src, dest, 1);
     }
-    else
+
+    static inline fcs_bool_t fc_solve_move_stack_pop(
+        fcs_move_stack_t *const stack, fcs_internal_move_t *const move)
     {
-        return TRUE;
+        if (stack->num_moves > 0)
+        {
+            *move = stack->moves[--stack->num_moves];
+            return FALSE;
+        }
+        else
+        {
+            return TRUE;
+        }
     }
-}
 
 #define fcs_move_stack_static_destroy(stack) free((stack).moves)
 #define fcs_move_stack_reset(stack) (stack)->num_moves = 0
 
-void fc_solve_apply_move(fcs_state_t *const ptr_state_key,
-    fcs_state_locs_struct_t *const locs,
-    const fcs_internal_move_t move FREECELLS_AND_STACKS_ARGS());
-
-/*
-    The purpose of this function is to convert the moves from using
-    the canonized positions of the stacks and freecells to their
-    user positions.
-*/
+    void fc_solve_apply_move(fcs_state_t *const ptr_state_key,
+        fcs_state_locs_struct_t *const locs,
+        const fcs_internal_move_t move FREECELLS_AND_STACKS_ARGS());
 
-static inline fcs_move_stack_t fcs_move_stack__new(void)
-{
-    return (fcs_move_stack_t){.num_moves = 0,
-        .moves = malloc(sizeof(fcs_move_t) * FCS_MOVE_STACK_GROW_BY)};
-}
+    /*
+        The purpose of this function is to convert the moves from using
+        the canonized positions of the stacks and freecells to their
+        user positions.
+    */
 
-static inline void fc_solve_move_stack_swallow_stack(
-    fcs_move_stack_t *const stack, fcs_move_stack_t *const src_stack)
-{
-    fcs_internal_move_t move;
-    while (!fc_solve_move_stack_pop(src_stack, &move))
+    static inline fcs_move_stack_t fcs_move_stack__new(void)
     {
-        fcs_move_stack_push(stack, move);
+        return (fcs_move_stack_t){.num_moves = 0,
+            .moves = malloc(sizeof(fcs_move_t) * FCS_MOVE_STACK_GROW_BY)};
     }
-}
 
-static inline void fc_solve_move_stack_normalize(fcs_move_stack_t *const moves,
-    const fcs_state_keyval_pair_t *const init_state,
-    fcs_state_locs_struct_t *const locs FREECELLS_AND_STACKS_ARGS())
-{
-    fcs_internal_move_t in_move;
-    fcs_state_keyval_pair_t s_and_info;
-    DECLARE_IND_BUF_T(indirect_stacks_buffer)
-    fcs_internal_move_t out_move = fc_solve_empty_move;
-    FCS_STATE__DUP_keyval_pair(s_and_info, *init_state);
-
-#ifdef INDIRECT_STACK_STATES
-    for (size_t i = 0; i < STACKS_NUM__VAL; i++)
+    static inline void fc_solve_move_stack_swallow_stack(
+        fcs_move_stack_t *const stack, fcs_move_stack_t *const src_stack)
     {
-        fcs_copy_stack(
-            s_and_info.s, s_and_info.info, i, indirect_stacks_buffer);
+        fcs_internal_move_t move;
+        while (!fc_solve_move_stack_pop(src_stack, &move))
+        {
+            fcs_move_stack_push(stack, move);
+        }
     }
-#endif
-
-    fcs_move_stack_t temp_moves = fcs_move_stack__new();
 
-    while (!fc_solve_move_stack_pop(moves, &in_move))
+    static inline void fc_solve_move_stack_normalize(
+        fcs_move_stack_t *const moves,
+        const fcs_state_keyval_pair_t *const init_state,
+        fcs_state_locs_struct_t *const locs FREECELLS_AND_STACKS_ARGS())
     {
-        fc_solve_apply_move(&(s_and_info.s), locs,
-            in_move PASS_FREECELLS(freecells_num) PASS_STACKS(stacks_num));
+        fcs_internal_move_t in_move;
+        fcs_state_keyval_pair_t s_and_info;
+        DECLARE_IND_BUF_T(indirect_stacks_buffer)
+        fcs_internal_move_t out_move = fc_solve_empty_move;
+        FCS_STATE__DUP_keyval_pair(s_and_info, *init_state);
 
-        const int move_type = fcs_int_move_get_type(in_move);
-
-        if (move_type == FCS_MOVE_TYPE_CANONIZE)
+#ifdef INDIRECT_STACK_STATES
+        for (size_t i = 0; i < STACKS_NUM__VAL; i++)
         {
-            continue;
+            fcs_copy_stack(
+                s_and_info.s, s_and_info.info, i, indirect_stacks_buffer);
         }
+#endif
 
-        fcs_int_move_set_type(out_move, move_type);
+        fcs_move_stack_t temp_moves = fcs_move_stack__new();
 
-        switch (move_type)
+        while (!fc_solve_move_stack_pop(moves, &in_move))
         {
-        case FCS_MOVE_TYPE_STACK_TO_STACK:
-        case FCS_MOVE_TYPE_STACK_TO_FREECELL:
-        case FCS_MOVE_TYPE_STACK_TO_FOUNDATION:
-        case FCS_MOVE_TYPE_SEQ_TO_FOUNDATION:
-            fcs_int_move_set_src(
-                out_move, locs->stack_locs[(int)fcs_int_move_get_src(in_move)]);
-            break;
-        case FCS_MOVE_TYPE_FREECELL_TO_STACK:
-        case FCS_MOVE_TYPE_FREECELL_TO_FREECELL:
-        case FCS_MOVE_TYPE_FREECELL_TO_FOUNDATION:
-            fcs_int_move_set_src(
-                out_move, locs->fc_locs[(int)fcs_int_move_get_src(in_move)]);
-            break;
-        default:
-            break;
+            fc_solve_apply_move(&(s_and_info.s), locs,
+                in_move PASS_FREECELLS(freecells_num) PASS_STACKS(stacks_num));
+
+            const int move_type = fcs_int_move_get_type(in_move);
+
+            if (move_type == FCS_MOVE_TYPE_CANONIZE)
+            {
+                continue;
+            }
+
+            fcs_int_move_set_type(out_move, move_type);
+
+            switch (move_type)
+            {
+            case FCS_MOVE_TYPE_STACK_TO_STACK:
+            case FCS_MOVE_TYPE_STACK_TO_FREECELL:
+            case FCS_MOVE_TYPE_STACK_TO_FOUNDATION:
+            case FCS_MOVE_TYPE_SEQ_TO_FOUNDATION:
+                fcs_int_move_set_src(out_move,
+                    locs->stack_locs[(int)fcs_int_move_get_src(in_move)]);
+                break;
+            case FCS_MOVE_TYPE_FREECELL_TO_STACK:
+            case FCS_MOVE_TYPE_FREECELL_TO_FREECELL:
+            case FCS_MOVE_TYPE_FREECELL_TO_FOUNDATION:
+                fcs_int_move_set_src(out_move,
+                    locs->fc_locs[(int)fcs_int_move_get_src(in_move)]);
+                break;
+            default:
+                break;
+            }
+
+            switch (move_type)
+            {
+            case FCS_MOVE_TYPE_STACK_TO_STACK:
+            case FCS_MOVE_TYPE_FREECELL_TO_STACK:
+                fcs_int_move_set_dest(out_move,
+                    locs->stack_locs[(int)fcs_int_move_get_dest(in_move)]);
+                break;
+
+            case FCS_MOVE_TYPE_STACK_TO_FREECELL:
+            case FCS_MOVE_TYPE_FREECELL_TO_FREECELL:
+                fcs_int_move_set_dest(out_move,
+                    locs->fc_locs[(int)fcs_int_move_get_dest(in_move)]);
+                break;
+
+            case FCS_MOVE_TYPE_STACK_TO_FOUNDATION:
+            case FCS_MOVE_TYPE_FREECELL_TO_FOUNDATION:
+            case FCS_MOVE_TYPE_SEQ_TO_FOUNDATION:
+                fcs_int_move_set_dest(out_move, fcs_int_move_get_dest(in_move));
+                break;
+            default:
+                break;
+            }
+            if (move_type == FCS_MOVE_TYPE_STACK_TO_STACK)
+            {
+                fcs_int_move_set_num_cards_in_seq(
+                    out_move, fcs_int_move_get_num_cards_in_seq(in_move));
+            }
+
+            fcs_move_stack_push((&temp_moves), out_move);
         }
 
-        switch (move_type)
-        {
-        case FCS_MOVE_TYPE_STACK_TO_STACK:
-        case FCS_MOVE_TYPE_FREECELL_TO_STACK:
-            fcs_int_move_set_dest(out_move,
-                locs->stack_locs[(int)fcs_int_move_get_dest(in_move)]);
-            break;
-
-        case FCS_MOVE_TYPE_STACK_TO_FREECELL:
-        case FCS_MOVE_TYPE_FREECELL_TO_FREECELL:
-            fcs_int_move_set_dest(
-                out_move, locs->fc_locs[(int)fcs_int_move_get_dest(in_move)]);
-            break;
-
-        case FCS_MOVE_TYPE_STACK_TO_FOUNDATION:
-        case FCS_MOVE_TYPE_FREECELL_TO_FOUNDATION:
-        case FCS_MOVE_TYPE_SEQ_TO_FOUNDATION:
-            fcs_int_move_set_dest(out_move, fcs_int_move_get_dest(in_move));
-            break;
-        default:
-            break;
-        }
-        if (move_type == FCS_MOVE_TYPE_STACK_TO_STACK)
-        {
-            fcs_int_move_set_num_cards_in_seq(
-                out_move, fcs_int_move_get_num_cards_in_seq(in_move));
-        }
+        /*
+         * temp_moves contain the needed moves in reverse order. So let's use
+         * swallow_stack to put them in the original in the correct order.
+         *
+         * */
+        fcs_move_stack_reset(moves);
 
-        fcs_move_stack_push((&temp_moves), out_move);
+        fc_solve_move_stack_swallow_stack(moves, (&temp_moves));
+        fcs_move_stack_static_destroy(temp_moves);
     }
 
-    /*
-     * temp_moves contain the needed moves in reverse order. So let's use
-     * swallow_stack to put them in the original in the correct order.
-     *
-     * */
-    fcs_move_stack_reset(moves);
-
-    fc_solve_move_stack_swallow_stack(moves, (&temp_moves));
-    fcs_move_stack_static_destroy(temp_moves);
-}
-
-static inline int fc_solve_move__convert_freecell_num(const int fc_idx)
-{
-    return (fc_idx >= 7) ? (fc_idx + 3) : fc_idx;
-}
+    static inline int fc_solve_move__convert_freecell_num(const int fc_idx)
+    {
+        return (fc_idx >= 7) ? (fc_idx + 3) : fc_idx;
+    }
 
-static inline char fc_solve__freecell_to_char(const int fc_idx)
-{
-    return 'a' + fc_solve_move__convert_freecell_num(fc_idx);
-}
-static inline void fc_solve_move_to_string_w_state(char *const string,
-    fcs_state_keyval_pair_t *const state, const fcs_move_t move,
-    const int standard_notation)
-{
-#define state_key (&(state->s))
-    switch (fcs_move_get_type(move))
+    static inline char fc_solve__freecell_to_char(const int fc_idx)
     {
-    case FCS_MOVE_TYPE_STACK_TO_STACK:
-        if ((standard_notation == FC_SOLVE__STANDARD_NOTATION_EXTENDED) &&
-            /* More than one card was moved */
-            (fcs_move_get_num_cards_in_seq(move) > 1) &&
-            /* It was a move to an empty stack */
-            (fcs_state_col_len(*state_key, fcs_move_get_dest_stack(move)) ==
-                fcs_move_get_num_cards_in_seq(move)))
-        {
-            sprintf(string, "%d%dv%x", 1 + fcs_move_get_src_stack(move),
-                1 + fcs_move_get_dest_stack(move),
-                fcs_move_get_num_cards_in_seq(move));
-        }
-        else if (standard_notation)
-        {
-            sprintf(string, "%d%d", 1 + fcs_move_get_src_stack(move),
-                1 + fcs_move_get_dest_stack(move));
-        }
-        else
+        return 'a' + fc_solve_move__convert_freecell_num(fc_idx);
+    }
+    static inline void fc_solve_move_to_string_w_state(char *const string,
+        fcs_state_keyval_pair_t *const state, const fcs_move_t move,
+        const int standard_notation)
+    {
+#define state_key (&(state->s))
+        switch (fcs_move_get_type(move))
         {
-            sprintf(string, "Move %d cards from stack %d to stack %d",
-                fcs_move_get_num_cards_in_seq(move),
-                fcs_move_get_src_stack(move), fcs_move_get_dest_stack(move));
-        }
-        break;
+        case FCS_MOVE_TYPE_STACK_TO_STACK:
+            if ((standard_notation == FC_SOLVE__STANDARD_NOTATION_EXTENDED) &&
+                /* More than one card was moved */
+                (fcs_move_get_num_cards_in_seq(move) > 1) &&
+                /* It was a move to an empty stack */
+                (fcs_state_col_len(*state_key, fcs_move_get_dest_stack(move)) ==
+                    fcs_move_get_num_cards_in_seq(move)))
+            {
+                sprintf(string, "%d%dv%x", 1 + fcs_move_get_src_stack(move),
+                    1 + fcs_move_get_dest_stack(move),
+                    fcs_move_get_num_cards_in_seq(move));
+            }
+            else if (standard_notation)
+            {
+                sprintf(string, "%d%d", 1 + fcs_move_get_src_stack(move),
+                    1 + fcs_move_get_dest_stack(move));
+            }
+            else
+            {
+                sprintf(string, "Move %d cards from stack %d to stack %d",
+                    fcs_move_get_num_cards_in_seq(move),
+                    fcs_move_get_src_stack(move),
+                    fcs_move_get_dest_stack(move));
+            }
+            break;
 
-    case FCS_MOVE_TYPE_FREECELL_TO_STACK:
-        if (standard_notation)
-        {
-            sprintf(string, "%c%i",
-                fc_solve__freecell_to_char(fcs_move_get_src_freecell(move)),
-                1 + fcs_move_get_dest_stack(move));
-        }
-        else
-        {
-            sprintf(string, "Move a card from freecell %i to stack %i",
-                fcs_move_get_src_freecell(move), fcs_move_get_dest_stack(move));
-        }
+        case FCS_MOVE_TYPE_FREECELL_TO_STACK:
+            if (standard_notation)
+            {
+                sprintf(string, "%c%i",
+                    fc_solve__freecell_to_char(fcs_move_get_src_freecell(move)),
+                    1 + fcs_move_get_dest_stack(move));
+            }
+            else
+            {
+                sprintf(string, "Move a card from freecell %i to stack %i",
+                    fcs_move_get_src_freecell(move),
+                    fcs_move_get_dest_stack(move));
+            }
 
-        break;
+            break;
 
-    case FCS_MOVE_TYPE_FREECELL_TO_FREECELL:
-        if (standard_notation)
-        {
-            sprintf(string, "%c%c",
-                fc_solve__freecell_to_char(fcs_move_get_src_freecell(move)),
-                fc_solve__freecell_to_char(fcs_move_get_dest_freecell(move)));
-        }
-        else
-        {
-            sprintf(string, "Move a card from freecell %i to freecell %i",
-                fcs_move_get_src_freecell(move),
-                fcs_move_get_dest_freecell(move));
-        }
+        case FCS_MOVE_TYPE_FREECELL_TO_FREECELL:
+            if (standard_notation)
+            {
+                sprintf(string, "%c%c",
+                    fc_solve__freecell_to_char(fcs_move_get_src_freecell(move)),
+                    fc_solve__freecell_to_char(
+                        fcs_move_get_dest_freecell(move)));
+            }
+            else
+            {
+                sprintf(string, "Move a card from freecell %i to freecell %i",
+                    fcs_move_get_src_freecell(move),
+                    fcs_move_get_dest_freecell(move));
+            }
 
-        break;
+            break;
 
-    case FCS_MOVE_TYPE_STACK_TO_FREECELL:
-        if (standard_notation)
-        {
-            sprintf(string, "%d%c", 1 + fcs_move_get_src_stack(move),
-                fc_solve__freecell_to_char(fcs_move_get_dest_freecell(move)));
-        }
-        else
-        {
-            sprintf(string, "Move a card from stack %d to freecell %d",
-                fcs_move_get_src_stack(move), fcs_move_get_dest_freecell(move));
-        }
+        case FCS_MOVE_TYPE_STACK_TO_FREECELL:
+            if (standard_notation)
+            {
+                sprintf(string, "%d%c", 1 + fcs_move_get_src_stack(move),
+                    fc_solve__freecell_to_char(
+                        fcs_move_get_dest_freecell(move)));
+            }
+            else
+            {
+                sprintf(string, "Move a card from stack %d to freecell %d",
+                    fcs_move_get_src_stack(move),
+                    fcs_move_get_dest_freecell(move));
+            }
 
-        break;
+            break;
 
-    case FCS_MOVE_TYPE_STACK_TO_FOUNDATION:
-        if (standard_notation)
-        {
-            sprintf(string, "%dh", 1 + fcs_move_get_src_stack(move));
-        }
-        else
-        {
-            sprintf(string, "Move a card from stack %d to the foundations",
-                fcs_move_get_src_stack(move));
-        }
+        case FCS_MOVE_TYPE_STACK_TO_FOUNDATION:
+            if (standard_notation)
+            {
+                sprintf(string, "%dh", 1 + fcs_move_get_src_stack(move));
+            }
+            else
+            {
+                sprintf(string, "Move a card from stack %d to the foundations",
+                    fcs_move_get_src_stack(move));
+            }
 
-        break;
+            break;
 
-    case FCS_MOVE_TYPE_FREECELL_TO_FOUNDATION:
-        if (standard_notation)
-        {
-            sprintf(string, "%ch",
-                fc_solve__freecell_to_char(fcs_move_get_src_freecell(move)));
-        }
-        else
-        {
-            sprintf(string, "Move a card from freecell %i to the foundations",
-                fcs_move_get_src_freecell(move));
-        }
+        case FCS_MOVE_TYPE_FREECELL_TO_FOUNDATION:
+            if (standard_notation)
+            {
+                sprintf(string, "%ch",
+                    fc_solve__freecell_to_char(
+                        fcs_move_get_src_freecell(move)));
+            }
+            else
+            {
+                sprintf(string,
+                    "Move a card from freecell %i to the foundations",
+                    fcs_move_get_src_freecell(move));
+            }
 
-        break;
+            break;
 
-    case FCS_MOVE_TYPE_SEQ_TO_FOUNDATION:
-        if (standard_notation)
-        {
-            sprintf(string, "%dh", fcs_move_get_src_stack(move));
-        }
-        else
-        {
-            sprintf(string,
-                "Move the sequence on top of Stack %d to the foundations",
-                fcs_move_get_src_stack(move));
-        }
-        break;
+        case FCS_MOVE_TYPE_SEQ_TO_FOUNDATION:
+            if (standard_notation)
+            {
+                sprintf(string, "%dh", fcs_move_get_src_stack(move));
+            }
+            else
+            {
+                sprintf(string,
+                    "Move the sequence on top of Stack %d to the foundations",
+                    fcs_move_get_src_stack(move));
+            }
+            break;
 
-    default:
-        string[0] = '\0';
-        break;
-    }
+        default:
+            string[0] = '\0';
+            break;
+        }
 #undef state_key
-}
+    }
 #define FCS__pass_moves(x) , x
 #else
 #define fcs_move_stack_params_push(a, b, c, d, e)
@@ -350,24 +361,24 @@ static inline void fc_solve_move_to_string_w_state(char *const string,
 
 #endif
 
-typedef struct
-{
-    fcs_collectible_state_t *state_ptr;
-    union {
-        void *ptr;
-        int i;
-        char c[sizeof(void *) / sizeof(char)];
-    } context;
-} fcs_derived_states_list_item_t;
-
-typedef struct
-{
-    size_t num_states;
-    fcs_derived_states_list_item_t *states;
-} fcs_derived_states_list_t;
+    typedef struct
+    {
+        fcs_collectible_state_t *state_ptr;
+        union {
+            void *ptr;
+            int i;
+            char c[sizeof(void *) / sizeof(char)];
+        } context;
+    } fcs_derived_states_list_item_t;
+
+    typedef struct
+    {
+        size_t num_states;
+        fcs_derived_states_list_item_t *states;
+    } fcs_derived_states_list_t;
 
-extern void fc_solve_derived_states_list_add_state(
-    fcs_derived_states_list_t *, fcs_collectible_state_t *, int);
+    extern void fc_solve_derived_states_list_add_state(
+        fcs_derived_states_list_t *, fcs_collectible_state_t *, int);
 
 #ifdef __cplusplus
 }
diff --git a/fc-solve/source/move_funcs_order.h b/fc-solve/source/move_funcs_order.h
index 6d285fc06..8e1d85fa4 100644
--- a/fc-solve/source/move_funcs_order.h
+++ b/fc-solve/source/move_funcs_order.h
@@ -11,19 +11,20 @@
 #pragma once
 
 #ifdef __cplusplus
-extern "C" {
+extern "C"
+{
 #endif
 
 #include "fcs_back_compat.h"
 #include "instance.h"
 
-static inline int fc_solve_string_to_move_num(const char needle)
-{
-    return fc_solve_sfs_move_funcs_aliases[(size_t)(uint8_t)needle];
-}
+    static inline int fc_solve_string_to_move_num(const char needle)
+    {
+        return fc_solve_sfs_move_funcs_aliases[(size_t)(uint8_t)needle];
+    }
 
-extern int fc_solve_apply_moves_order(
-    fcs_moves_order *, const char *FCS__PASS_ERR_STR(char *));
+    extern int fc_solve_apply_moves_order(
+        fcs_moves_order *, const char *FCS__PASS_ERR_STR(char *));
 
 #ifdef __cplusplus
 }
